com.sun.mirror.declaration

## Interface ConstructorDeclaration

All Superinterfaces:
  Declaration, ExecutableDeclaration, MemberDeclaration

    public interface ConstructorDeclaration
    extends ExecutableDeclaration

Represents a constructor of a class or interface.

Since:
  1.5

### Method Summary

### Methods inherited from interface com.sun.mirror.declaration.ExecutableDeclaration

`getFormalTypeParameters, getParameters, getThrownTypes, isVarArgs`

### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

`getDeclaringType`

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.